Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.input.latex
Class EndPictureExpression

    java.lang.Object
      jpicedt.format.input.util.AbstractRegularExpression
          jpicedt.format.input.util.LiteralExpression
              jpicedt.format.input.latex.EndPictureExpression

All Implemented Interfaces:
  ExpressionConstants

public class EndPictureExpression
extends LiteralExpression
implements ExpressionConstants

\end{picture}

Since:
  jpicedt 1.3
Version:
  $Id: EndPictureExpression.java,v 1.5.2.1 2007/09/02 11:56:00 reynal Exp $
Author:
  Sylvain Reynal

Field Summary

Fields inherited from interface jpicedt.format.input.util.ExpressionConstants
`ANY_CHAR, ANY_CHAR_EOL, ANY_SIGN, AT_LEAST, AT_MOST, DEBUG, DOUBLE, EOL, EXACTLY, INTEGER, NEGATIVE, NON_NULL, POSITIVE, STRICTLY_NEGATIVE, STRICTLY_POSITIVE, WHITE_SPACES, WHITE_SPACES_OR_EOL`

Constructor Summary
`EndPictureExpression()`

Method Summary
`void` | `action(ParserEvent e)` Called in the course of the interpret operation at the end of a SUCCESSFUL interpret operation.
`String` | `toString()`

Methods inherited from class jpicedt.format.input.util.LiteralExpression
`interpret`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EndPictureExpression

    public EndPictureExpression()

Method Detail

### action

    public void action(ParserEvent e)
                throws REParserException

  Description copied from class: `AbstractRegularExpression`
  Called in the course of the interpret operation at the end of a SUCCESSFUL interpret operation. Should be overriden by daughter classes to process proper action, e.g. set Element's attributes... Current implementation does nothing, but sending a debugging string.

  Overrides:
    `action` in class `AbstractRegularExpression`
  Throws:
    `REParserException`

### toString

    public String toString()

  Overrides:
    `toString` in class `LiteralExpression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org